const Layout = () => import("@/layout/index.vue");

export default [
  {
    path: "/login",
    name: "Login",
    component: () => import("@/views/login/index.vue"),
    meta: {
      title: "登录",
      showLink: false,
      rank: 101
    }
  },
  {
    path: "/redirect",
    component: Layout,
    meta: {
      title: "加载中...",
      showLink: false,
      rank: 102
    },
    children: [
      {
        path: "/redirect/:path(.*)",
        name: "Redirect",
        component: () => import("@/layout/redirect.vue")
      }
    ]
  },
  {
    path: "/screen",
    name: "Screen",
    meta: {
      title: "数据大屏",
      icon: "lollipop",
      // showLink: true,
      rank: 1
    },
    children: [
      {
        path: "/screen",
        name: "Sereen",
        component: () => import("@/views/screen/index.vue"),
        meta: {
          title: "数据大屏",
          roles: ["admin"]
        }
      }
    ]
  },
  {
    path: "/screen1",
    name: "Screen1",
    meta: {
      title: "企业大屏",
      icon: "lollipop",
      // showLink: true,
      rank: 2
    },
    children: [
      {
        path: "/screen1",
        name: "Sereen1",
        component: () => import("@/views/screen1/index.vue"),
        meta: {
          title: "企业大屏",
          roles: ["admin", "common"]
        }
      }
    ]
  }
] as Array<RouteConfigsTable>;
